# class Gem::Source::Local

The local source finds gems in the current directory for fulfilling dependencies.

### Public Instance Methods

<=> (other)
Source

    # File lib/rubygems/source/local.rb, line 18
    def <=>(other)
      case other
      when Gem::Source::Installed,
           Gem::Source::Lock then
        -1
      when Gem::Source::Local then
        0
      when Gem::Source then
        1
      end
    end

`Local` sorts before `Gem::Source` and after `Gem::Source::Installed`